## novnc 1.3.0

=== po/Makefile ===
all:
.PHONY: update-po update-js update-pot
.PHONY: FORCE

LINGUAS := cs de el es fr ja ko nl pl pt_BR ru sv tr zh_CN zh_TW

VERSION := $(shell grep '"version"' ../package.json | cut -d '"' -f 4)

POFILES := $(addsuffix .po,$(LINGUAS))
JSONFILES := $(addprefix ../app/locale/,$(addsuffix .json,$(LINGUAS)))

update-po: $(POFILES)
update-js: $(JSONFILES)

%.po: FORCE
	msgmerge --update --lang=$* $@ noVNC.pot
../app/locale/%.json: FORCE
	./po2js $*.po $@

update-pot:
	xgettext --output=noVNC.js.pot \
		--copyright-holder="The noVNC Authors" \
		--package-name="noVNC" \
		--package-version="$(VERSION)" \
		--msgid-bugs-address="novnc@googlegroups.com" \
		--add-comments=TRANSLATORS: \
		--from-code=UTF-8 \
		--sort-by-file \
		../app/*.js \
		../core/*.js \
		../core/input/*.js
	./xgettext-html --output=noVNC.html.pot \
		../vnc.html
	msgcat --output-file=noVNC.pot \
		--sort-by-file noVNC.js.pot noVNC.html.pot
	rm -f noVNC.js.pot noVNC.html.pot

=== app/images/icons/Makefile ===
ICONS := \
	novnc-16x16.png \
	novnc-24x24.png \
	novnc-32x32.png \
	novnc-48x48.png \
	novnc-64x64.png

ANDROID_LAUNCHER := \
	novnc-48x48.png \
	novnc-72x72.png \
	novnc-96x96.png \
	novnc-144x144.png \
	novnc-192x192.png

IPHONE_LAUNCHER := \
	novnc-60x60.png \
	novnc-120x120.png

IPAD_LAUNCHER := \
	novnc-76x76.png \
	novnc-152x152.png

ALL_ICONS := $(ICONS) $(ANDROID_LAUNCHER) $(IPHONE_LAUNCHER) $(IPAD_LAUNCHER)

all: $(ALL_ICONS)

novnc-16x16.png: novnc-icon-sm.svg
	convert -density 90 \
		-background transparent "$<" "$@"
novnc-24x24.png: novnc-icon-sm.svg
	convert -density 135 \
		-background transparent "$<" "$@"
novnc-32x32.png: novnc-icon-sm.svg
	convert -density 180 \
		-background transparent "$<" "$@"

novnc-%.png: novnc-icon.svg
	convert -density $$[`echo $* | cut -d x -f 1` * 90 / 48] \
		-background transparent "$<" "$@"

clean:
	rm -f *.png

## novnc 0.4+dfsg+1+20130425+git4973b9cc80

=== debian/changelog ===
novnc (1:0.4+dfsg+1+20130425+git4973b9cc80-1ubuntu1) saucy; urgency=low

  * d/p/revert-nova-cruft.patch: Revert Debian specific changes which are not
    present in the upstream source tree and are not overlaid with patches. This
    fixes errors with novnc use in OpenStack Nova (LP: #1231982).

 -- James Page <james.page@ubuntu.com>  Fri, 11 Oct 2013 12:46:23 +0100

novnc (1:0.4+dfsg+1+20130425+git4973b9cc80-1) unstable; urgency=low

  * Uploading to unstable.
  * New upstream release.
  * Added dependency on oslo-config.
  * Updated debian/patches/python-disutils.patch.
  * Removed rebind and websockify from /usr/share/util, since they are
    available in the websockify package.
  * Now depends on libjs-swfobject and use that file instead of the embbeded
    version.
  * Switch novnc from arch: any to arch: all since there's no built binaries
    in the package anymore (those are in websockify).
  * Delete the debian/novnc.init, because the init script is in nova-novncproxy
    already.
  * Ran wrap-and-sort.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 May 2013 23:55:04 +0800

novnc (1:0.4+dfsg+1-7) experimental; urgency=low

  * Added missing usr/share/novnc folder (Closes: #705669), thanks to
    Denis Laxalde <denis.laxalde@logilab.fr> for reporting it.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Apr 2013 21:53:58 +0800

novnc (1:0.4+dfsg+1-6) experimental; urgency=low

  * Removes /usr/bin/websockify and /usr/bin/rebind, and now depends on the
    websockify package which has them.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2013 22:26:08 +0800

novnc (1:0.4+dfsg+1-5) experimental; urgency=low

  [ Mehdi Abaakouk ]
  * New upstream release
  * Change uptream URL
  * Change epoch to follow novnc version

  [ Ghe Rivero]
  * Removed depend on nova-common
  * Split config file

  [ Thomas Goirand ]
  * Added a get-vcs-source target.
  * Added a gbp.conf file.
  * Now using openstack-pkg-tools for packaging.
  * Increased compat level to 9, now the compat level and debhelper
    build-depends are matching (sic!!!).
  * Pre-Depends: dpkg (>= 1.15.6~) because of xz compression.
  * Reviewed long description.
  * Added a watch file.
  * Added a patch description for the distutil patch.
  * Added missing dependency python-nova.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Feb 2013 16:47:45 +0000

novnc (2012.1~e3+dfsg+1-4) unstable; urgency=low

  * replace debian/rules build: target with override_dh_auto_build-arch:
    otherwise it is ignored and fails when running dpkg-buildpackage -B

 -- Loic Dachary (OuoU) <loic@debian.org>  Tue, 26 Jun 2012 21:57:28 +0200

novnc (2012.1~e3+dfsg+1-3) unstable; urgency=low

  * Add a build-depend on python-greenlet. There is no actual need for
    python-greenlet at build time. But on some architectures
    python-greenlet is not yet available and novnc should not try to build
    because the resulting package will fail to install. This workaround
    should not be necessary but the maintainer of python-greenlet has not
    resolved portability issues in months at this time and we cannot
    assume it will be resolved quickly. (Closes: #665893).

 -- Loic Dachary (OuoU) <loic@debian.org>  Tue, 26 Jun 2012 11:17:31 +0200

novnc (2012.1~e3+dfsg+1-2) unstable; urgency=low

  [ Ghe Rivero ]
  * Bumped Debian Policy Version
  * Updated copyright file

  [ Thomas Goirand ]
  * Added a debian/novnc.postinst creating nova user and group.
  * Added a debian/gbp.conf

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2012 10:31:31 -0400

novnc (2012.1~e3+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe.rivero@stackops.com>  Mon, 30 Jan 2012 17:09:57 +0100

novnc (0.1) maverick; urgency=low

  * First upstream release

 -- Joel Martin <github@martintribe.org>  Tue, 05 Jul 2011 01:00:00 -0600

=== debian/control ===
Source: novnc
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9), openstack-pkg-tools, python (>=2.6.6-3~)
Build-Depends-Indep: python-greenlet
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/novnc.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/novnc.git
Homepage: http://github.com/kanaka/noVNC

Package: novnc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         libjs-swfobject,
         python (>= 2.6.6-3~),
         python-nova,
         python-novnc,
         python-numpy,
         websockify,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: HTML5 VNC client - daemon and programs
 noVNC is a HTML5 VNC (WebSockets, Canvas) with encryption (wss://) support
 client that runs well in any modern browser including mobile browsers
 (iPhone/iPad and Android). More than 16 companies/projects have integrated
 noVNC into their products including Ganeti Web Manager, OpenStack, and
 OpenNebula.
 .
 This package contains the daemon and programs.

Package: python-novnc
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python (>= 2.6.6-3~),
         python-nova,
         python-oslo.config,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: HTML5 VNC client - libraries
 noVNC is a HTML5 VNC (WebSockets, Canvas) with encryption (wss://) support
 client that runs well in any modern browser including mobile browsers
 (iPhone/iPad and Android). More than 16 companies/projects have integrated
 noVNC into their products including Ganeti Web Manager, OpenStack, and
 OpenNebula.
 .
 This package installs the core Python parts of NoVNC.

## novnc 0.4+dfsg+1+20131010+gitf68af8af3d

=== debian/changelog ===
novnc (1:0.4+dfsg+1+20131010+gitf68af8af3d-2) unstable; urgency=medium

  * Do not create nova user and group if they already exist.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Dec 2013 16:47:06 +0800

novnc (1:0.4+dfsg+1+20131010+gitf68af8af3d-1) unstable; urgency=low

  * New upstream release (well, a more recent commit since upstream isn't
    doing much tagged release...).
  * Kill the wrong patch that landed in the master-dfsg branch somehow, and
    broke novnc (Closes #718889).

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Oct 2013 22:28:34 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: novnc
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
-           Ghe Rivero <ghe.rivero@stackops.com>,
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Ghe Rivero <ghe.rivero@stackops.com>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>
 Build-Depends: debhelper (>= 9), openstack-pkg-tools, python (>=2.6.6-3~)

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

UPSTREAM_GIT := git://github.com/kanaka/noVNC.git

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2

override_dh_clean:
	make -C utils clean
	dh_clean

override_dh_fixperms:
	dh_fixperms
	rm -rf $(CURDIR)/debian/novnc/usr/share/novnc/utils
	rm -f $(CURDIR)/debian/novnc/usr/share/novnc/include/web-socket-js/swfobject.js
	ln -s ../../../javascript/swfobject/swfobject.js $(CURDIR)/debian/novnc/usr/share/novnc/include/web-socket-js/swfobject.js

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\+\d+$// \
https://github.com/kanaka/noVNC/tags .*/v(\d[\d\.]+)\.tar\.gz

## novnc 1.0.0

=== debian/changelog ===
novnc (1:1.0.0-5) unstable; urgency=medium

  * Add net-tools as depends, needed for launch.sh (Closes: #932611).

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Dec 2021 13:54:20 +0100

novnc (1:1.0.0-4) unstable; urgency=medium

  * Do not create symlink to swfobject.js (Closes: #924153).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Dec 2021 18:49:17 +0100

novnc (1:1.0.0-3) unstable; urgency=medium

  * Fix symlink to swfobject.js (Closes: #924153)

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 12 Mar 2020 12:31:52 +0100

novnc (1:1.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed python 2 support (Closes: #934930).

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2019 23:42:51 +0200

novnc (1:1.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https in Format
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ David Rabel ]
  * d/changelog: Fix wrong entry.
  * d/copyright: Fixed. Was totally broken.
  * d/novnc.install: Don't install extra license file.
  * d/patches/ : Fix typo.
  * d/control, d/watch: Update upstream URL.

  [ Thomas Goirand ]
  * New upstream release (Closes: #847122):
    - Drop now useless patches: utils-launch.patch and
      adds_support_for_secure_attribute_on_token_cookie.patch
  * Do not override dh_clean anymore.
  * Fixed patch to package novnc as python package.
  * Rewrite debian/novnc.install and part of debian/rules to adapt to the new
    upstream release..
  * Add patch for Python 3 compat (print statements).
  * Hack po/po2js to use debian/getopt.js.
  * Update debian/copyright file to reality of 1.0.0.
  * Fixed debian/rules to use new upstream URL.
  * Add Python 3 support.
  * Document license for vendor/pako/lib/zlib/.
  * Removed runtime dependency on libjs-swfobject, which is only for old web
    browsers anyway (Closes: #908693).
  * Add compatibility symlink to vnc_auto.html so that it works with old Nova
    setup without any modification.
  * Delete /usr/share/novnc/vendor/browser-es-module-loader/.npmignore during
    the file install.
  * Fixed shebang for b64-to-binary.pl.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 May 2018 11:28:13 +0200

novnc (1:0.4+dfsg+1+20131010+gitf68af8af3d-7) unstable; urgency=medium

  [ David Rabel ]
  * Suggests instead of recommends python-nova (Closes: #867389).

  [ Thomas Goirand ]
  * Run wrap-and-sort -bast.
  * Standards-Version is now 4.1.3.
  * VCS fields now pointing to Salsa.
  * Using debhelper 11.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jan 2018 13:06:47 +0000

novnc (1:0.4+dfsg+1+20131010+gitf68af8af3d-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Applied patch contributed in launchpad (Closes: #837997).
  * Ran wrap-and-sort -t -a.
  * Build-depends on dh-python.
  * Removed Pre-Depends: dpkg (>= 1.15.6~).
  * Removed inactive uploaders.
  * Standards-Version: 3.9.8 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Oct 2016 01:00:48 +0200

novnc (1:0.4+dfsg+1+20131010+gitf68af8af3d-4) unstable; urgency=high

  * Adds security patch (Closes: #778618):
    adds_support_for_secure_attribute_on_token_cookie.patch
  * Adds a source.lintian-overrides for include/logo.js. This is a logo, and
    not code source, so I believe it should be fine. Moreover, the file in
    include/logo.js.png is the source, and running "base64 include/logo.js.png"
    generates the same data, so it is my point of view that we're in the case
    of a false positive. If one difers, please provide the patch to generate
    the logo.js out of the logo.js.png file.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Mar 2015 17:27:07 +0100

novnc (1:0.4+dfsg+1+20131010+gitf68af8af3d-3) unstable; urgency=medium

  * Drops python-nova as a direct dependency, and only puts it as a
    Recommends:.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Feb 2015 22:52:35 +0100

=== debian/control ===
Source: novnc
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
Build-Depends-Indep:
 gettext,
 node-po2json,
 python3-greenlet,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/novnc
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/novnc.git
Homepage: https://github.com/novnc/noVNC

Package: novnc
Architecture: all
Depends:
 adduser,
 net-tools,
 python3-novnc,
 python3-numpy,
 websockify,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-nova,
Description: HTML5 VNC client - daemon and programs
 noVNC is a HTML5 VNC (WebSockets, Canvas) with encryption (wss://) support
 client that runs well in any modern browser including mobile browsers
 (iPhone/iPad and Android). More than 16 companies/projects have integrated
 noVNC into their products including Ganeti Web Manager, OpenStack, and
 OpenNebula.
 .
 This package contains the daemon and programs.

Package: python3-novnc
Architecture: all
Section: python
Depends:
 python3-oslo.config,
 python3-pil,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python3-nova,
Description: HTML5 VNC client - Python 3.x libraries
 noVNC is a HTML5 VNC (WebSockets, Canvas) with encryption (wss://) support
 client that runs well in any modern browser including mobile browsers
 (iPhone/iPad and Android). More than 16 companies/projects have integrated
 noVNC into their products including Ganeti Web Manager, OpenStack, and
 OpenNebula.
 .
 This package installs the core Python 3.x parts of NoVNC.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/novnc/noVNC
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	dh_install
	dh_missing --fail-missing
	rm -f $(CURDIR)/debian/novnc/usr/share/novnc/vendor/pako/LICENSE
	ln -s vnc_lite.html $(CURDIR)/debian/novnc/usr/share/novnc/vnc_auto.html
	rm -f $(CURDIR)/debian/novnc/usr/share/novnc/vendor/browser-es-module-loader/.npmignore
	sed -i -e '1s|#!/usr/bin/env perl|#!/usr/bin/perl|' $(CURDIR)/debian/novnc/usr/share/novnc/utils/b64-to-binary.pl

override_dh_auto_build:
	make -C po update-js

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\+\d+$// \
https://github.com/novnc/noVNC/tags .*/v(\d[\d\.]+)\.tar\.gz

## novnc 1.3.0

=== debian/changelog ===
novnc (1:1.3.0-3) unstable; urgency=medium

  * Add python3-setuptools as build-depends (Closes: #1080685).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2024 09:53:56 +0200

novnc (1:1.3.0-2) unstable; urgency=medium

  * Added extend-diff-ignore, cleans better (Closes: #1046241).

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2023 17:32:00 +0200

novnc (1:1.3.0-1) unstable; urgency=medium

  * Added changes from Ricardo Ribalda Delgado. Thanks a lot to him for his
    contribution. Here's the changes (Closes: #927408):
    - New upstream release.
    - Use gitmode in watch file.
    - Add salsa-ci.yml.
    - Fix perms of genkeysymdef.js and use_require.js.
    - Fix debian/novnc.install for this new release.
    - Fix d/copyright for this release.
    - Switch to debhelper-compat 11.
    - Use python3-all:any instead of just python3-all for b-d.
    - Standards-Version: 4.6.0.
    - Add Rules-Requires-Root: no.
    - add nodejs as depends.
    - Removed fix-for-python3.patch (there's no .py files upstream anymore).
    - Rebased use-debian-folder-node-getopt.patch.
  * vnc_auto.html links to vnc.html, which is the full version, not the light
    one.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Nov 2022 13:17:35 +0100

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,26 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
- python3-all,
+ python3-all:any,
+ python3-setuptools,
 Build-Depends-Indep:
  gettext,
  node-po2json,
  python3-greenlet,
-Standards-Version: 4.1.3
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/novnc
 Vcs-Git: https://salsa.debian.org/openstack-team/third-party/novnc.git
 Homepage: https://github.com/novnc/noVNC
+Rules-Requires-Root: no
 
 Package: novnc
 Architecture: all
 Depends:
  adduser,
+ nodejs,
  net-tools,
  python3-novnc,
  python3-numpy,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --with python3
 
 override_dh_auto_clean:
-	echo "Do nothing..."
+	rm -rf build .stestr
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -20,9 +22,14 @@
 	dh_install
 	dh_missing --fail-missing
 	rm -f $(CURDIR)/debian/novnc/usr/share/novnc/vendor/pako/LICENSE
-	ln -s vnc_lite.html $(CURDIR)/debian/novnc/usr/share/novnc/vnc_auto.html
+	ln -s vnc.html $(CURDIR)/debian/novnc/usr/share/novnc/vnc_auto.html
 	rm -f $(CURDIR)/debian/novnc/usr/share/novnc/vendor/browser-es-module-loader/.npmignore
 	sed -i -e '1s|#!/usr/bin/env perl|#!/usr/bin/perl|' $(CURDIR)/debian/novnc/usr/share/novnc/utils/b64-to-binary.pl
 
 override_dh_auto_build:
 	make -C po update-js
+
+override_dh_fixperms:
+	dh_fixperms
+	chmod a+x $(CURDIR)/debian/novnc/usr/share/novnc/utils/genkeysymdef.js
+	chmod a+x $(CURDIR)/debian/novnc/usr/share/novnc/utils/use_require.js

## novnc 1.6.0

=== debian/changelog ===
novnc (1:1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop use-debian-folder-node-getopt.patch now useless.
  * Add node-commander as build-depends.
  * Add use-po.js-from-debian-folder.patch and embbed debian/po.js.
  * Update debian/novnc.install.
  * Also package .json files.
  * Add remove-max-width-from-keyboard-icons.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Apr 2025 08:52:26 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  python3-setuptools,
 Build-Depends-Indep:
  gettext,
+ node-commander,
  node-po2json,
  python3-greenlet,
 Standards-Version: 4.6.0

=== debian/rules ===
--- 
+++ 
@@ -26,10 +26,9 @@
 	rm -f $(CURDIR)/debian/novnc/usr/share/novnc/vendor/browser-es-module-loader/.npmignore
 	sed -i -e '1s|#!/usr/bin/env perl|#!/usr/bin/perl|' $(CURDIR)/debian/novnc/usr/share/novnc/utils/b64-to-binary.pl
 
-override_dh_auto_build:
-	make -C po update-js
+#override_dh_auto_build:
+#	make -C po update-js
 
 override_dh_fixperms:
 	dh_fixperms
 	chmod a+x $(CURDIR)/debian/novnc/usr/share/novnc/utils/genkeysymdef.js
-	chmod a+x $(CURDIR)/debian/novnc/usr/share/novnc/utils/use_require.js

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/novnc/noVNC refs/tags/v(\d[brc\d\.]+)

## novnc 2012.1~e3+dfsg

=== debian/control ===
Source: novnc
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 7.0.50), python-dev (>=2.6.6-3~)
Standards-Version: 3.9.2
Homepage: https://github.com/cloudbuilders/noVNC
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/novnc.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/novnc.git
X-Python-Version: >= 2.6

Package: novnc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-novnc, ${python:Depends},
 python (>= 2.6.6-3~)
Description: HTML5 VNC client
 VNC client using HTML5 (WebSockets, Canvas) with encryption (wss://) support.

Package: python-novnc
Architecture: all
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  python (>= 2.6.6-3~)
Description: HTML5 VNC client - libraries
 VNC client using HTML5 (WebSockets, Canvas) with encryption (wss://) support.
 .
 This package installs the core Python parts of NoVNC.

## novnc 2012.1~e3+dfsg+1

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: web
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Ghe Rivero <ghe.rivero@stackops.com>
+Uploaders: Ghe Rivero <ghe.rivero@stackops.com>,
+	   Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 7.0.50), python-dev (>=2.6.6-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/cloudbuilders/noVNC
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/novnc.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/novnc.git
@@ -13,7 +14,10 @@
 Package: novnc
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, python-novnc, ${python:Depends},
- python (>= 2.6.6-3~)
+ python (>= 2.6.6-3~),
+ nova-common,
+ python-numpy,
+ adduser
 Description: HTML5 VNC client
  VNC client using HTML5 (WebSockets, Canvas) with encryption (wss://) support.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
# export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_clean:
	make -C utils clean
	dh_clean

build:
	make -C utils rebind.so
	dh build

## novnc 2012.2~20120906+dfsg

=== debian/changelog ===
novnc (2012.2~20120906+dfsg-0ubuntu4~cloud0) precise-folsom; urgency=low

  * New snapshot for the Ubuntu Cloud Archive.

 -- Adam Gandelman <adamg@canonical.com>  Wed, 10 Oct 2012 11:27:06 -0700

novnc (2012.2~20120906+dfsg-0ubuntu4) quantal; urgency=low

  * Drop the init script once again, as the 'nova-novncproxy' service
    is now properly managed by the 'nova-novncproxy' package. (LP: #1064761)

 -- Adam Gandelman <adamg@canonical.com>  Tue, 09 Oct 2012 16:52:54 -0700

novnc (2012.2~20120906+dfsg-0ubuntu3) quantal; urgency=low

  * debian/nova.init: Fix init script to use config file rather than
    flagfile. (LP: #1060125) 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 02 Oct 2012 08:50:23 -0500

novnc (2012.2~20120906+dfsg-0ubuntu2) quantal; urgency=low

  * Re-add missing init script. (LP: #1053543) 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Sep 2012 13:31:37 -0500

novnc (2012.2~20120906+dfsg-0ubuntu1) quantal; urgency=low

  * New upstream version.
  * Removed websockify bits. Thanks to Vishy.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Sep 2012 13:09:18 -0500

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,5 @@
 	make -C utils clean
 	dh_clean
 
-build:
+override_dh_auto_build-arch:
 	make -C utils rebind.so
-	dh build
-
